2008-08-28  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (PROGRAM): Always install gacutil into the appropriate profile
	dir.

2008-04-09  Sebastien Pouliot  <sebastien@ximian.com>

	* gacutil.exe.sources: Use the StrongNameManager.cs file from sn
	(located in ../security/).
	* StrongNameManager.cs: Removed. Two copies (sn and corlib) are 
	already enough.

2008-04-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* driver.cs: Use Mono.Security.StrongNameManager to perform strongname
	verification. This reduces verbosity of install action and fixes bug
	 #376238.
	* gacutil.exe.sources: Added StrongNameManager.cs.
	* StrongNameManager.cs: Copied from Mono.Security in corlib. 

2008-03-14  Paolo Molaro <lupus@ximian.com>

	* driver.cs: added a bootstrap option to ignore sn failures for now
	when bootstrapping a build. The option name will periodically change
	so no one else can use it.

2008-03-14  Atsushi Enomoto  <atsushi@ximian.com>

	* driver.cs : temporarily disable r98206 strongname check
	  until the build gets fixed.

Thu Mar 13 22:33:36 CET 2008 Paolo Molaro <lupus@ximian.com>

	* driver.cs: run sn on the assembly to ensure it is strongly named.

2007-12-28  Gert Driesen  <drieseng@users.sourceforge.net>

	* driver.cs: Ignore the /nologo option instead of considering it to
	be part of the assembly (file) name. Modified Uninstall to take ref
	arguments for number of uninstalled assemblies and number of failures,
	and bool for indicating whether it's being executed in list mode.
	Depending on the command, report the number of assemblies that were
	processed, uninstalled, installed and the number of failures. Updated
	failure messages for install command to include path of assembly that
	is being installed. In Uninstall, only increment failure count for a
	no-match condition and only process first match when executing in list
	mode. In InstallFromList and UninstallFromList, skip lines containing
	only whitespace characters. In non-list mode, the uninstall command
	reports success if there are no matches for the specified assembly
	name. In list-mode, the uninstall command reports an error if there's
	no match for at least one of the specified assembly names. The version
	number of the assembly - that you want to uninstall or for which you
	want a list of assemblies that are in the GAC - can be partial and
	will then match the version numbers starting with that text. Removed
	unused CombinePatchs method.
	

2007-01-21  Rafael Teixeira <rafaelteixeirabr@hotmail.com>

	* driver.cs: accept absolute *nix paths for library names without
	getting them confused with options

2006-07-24  Alp Toker  <alp@atoker.com>

	* driver.cs: Minor typo fixes in comments and informational output.

2006-04-12  Miguel de Icaza  <miguel@novell.com>

	* driver.cs: Delete the target file before copying over, this will
	ensure that if some running application is using the assembly or
	any of its datafiles, it does not get corrupted by an install. 

2005-10-26  Geoff Norton  <gnorton@customerdna.com>

	* driver.cs: Do not match every item with a blank string.  Fixes
	#76563

2005-09-10  Miguel de Icaza  <miguel@novell.com>

	* driver.cs: Only symlink if the file that we are symlking to
	exists.   This fixes all the stale symlinks on $prefix/mono/1.0/
	to config files that do not exist.

2005-09-05  Miguel de Icaza  <miguel@novell.com>

	* driver.cs (Uninstall): Add workaround, Directory.GetFiles does
	not return symlinks inside the directories which makes this break
	on uninstall (make distcheck on monodoc exposed this).

2005-07-01  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* driver.cs (Install): Copy the linked resource files
	for the assembly when installing it.
	
2005-05-20  Ben Maurer  <bmaurer@ximian.com>

	* driver.cs (Main): If the switch argument isn't actually a
	switch, treat it like a file. Fixes 73405.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (PROGRAM): Make profile-specific during
	net_1_1_bootstrap.

2005-01-18  Raja R Harinath  <rharinath@novell.com>

	* driver.cs (Install): Restore fix from 2004-12-08.

2005-01-13  Mike Kestner  <mkestner@novell.com>

	* driver.cs: use relative symlinks for the package dir.

2005-01-11  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Make sure the actual assembly file exists when
	listing assemblies. Some packages don't remove the entire
	directory so we get existing directories without assemblies in
	them.

2004-12-08  Raja R Harinath  <rharinath@novell.com>

	* driver.cs (Symlink): Pass additional parameter: the name of the
	dll being installed.  If needed copy that file, not 'oldpath',
	since 'oldpath' need not be a valid file (esp. on DESTDIR builds).
	(Install): Update.

2004-07-28  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Check for and install .mdb (debuger symbol files).
	
2004-07-15  Jackson Harper  <jackson@ximian.com>

	* driver.cs: MONO_GAC_PREFIX not MONO_GAC_PATH.
	
2004-06-15  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Ensure that the -gacdir ends with /lib if it does not
	appened one. The reason for this is that the runtime expects it,
	and existing makefiles user -gacdir $(destdir)/$(libdir) so auto
	appending it without checking would break many things.
	
2004-06-10  Jackson Harper  <jackson@ximian.com>

	* driver.cs: We don't need to check if the canidate is a file in
	IsSwitch anymore as some other commandline handling will take care
	of this case.
	
2004-06-10  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Don't append gacdir to /root. This breaks
	everything. Will add another option for doing this if its needed.
	
2004-06-09  Jackson Harper  <jackson@ximian.com>

	* gacutil.exe.sources: Make the new gacutil the default and return
	seats to their upright position.
	
2004-06-08  Jackson Harper  <jackson@ximian.com>

	* driver.cs: When checking refs don't bother using an AppDomain
	and load the assembly using the code base so we get the right
	one. Print out the name of the non strong named assembly if one is
	referenced.
	
2004-06-08  Jackson Harper  <jackson@ximian.com>

	* driver.cs Add install from list and uninstall from list
	commands. Allow options to come before commands. Add the /silent
	option so we can shut the tool up. And use returns instead of
	Environment.Exit where appropriate.
	
2004-06-07  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Add -check_refs option to check if all referenced
	assemblies are stron named. Fix some pathing issues when create
	links for packaged. Update todds (C) info.

2004-06-05  Miguel de Icaza  <miguel@ximian.com>

	* gacutil.cs: GetAssemblyInfo might return null now, check for
	that.

	Add try/catch to GetAssemblyInfo.
	
2004-05-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* gacutil.cs: when -il, don't stop if one assembly fails to install.

2004-05-21  Jackson Harper  <jackson@ximian.com>

	* driver.cs: More fiddling with paths.
	
2004-05-21  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Allow the root and gacdir to both be specified. In
	this case they are combined.
	
2004-05-21  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Do not allow gacdir and root to be specified at the
	same time. Cleanup help. Add help for options.
	
2004-05-21  Jackson Harper  <jackson@ximian.com>

	* driver.cs: Add uninstall-specific option. This takes an assembly
	file and uninstalls a matching named one from the GAC. Fix search
	string shenanigans when uninstalling.

2004-05-21  Jackson Harper  <jackson@ximian.com>

	* driver.cs: This is the new gacutil. Right now it wont get built,
	after I do a little more testing I will make it the built/installed
	gacutil.
	
2004-05-19  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* gacutil.cs: force = true requested by Miguel.

2004-05-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* gacutil.cs:
	(InstallAssembly): use Array.IndexOf to search for "/f", "-f" or
	"--force" instead of expecting it in a fixed place.

2004-05-14  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: Remove old file/symlink, thanks urs. 

2004-05-14  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Always install the package files.
	
2004-05-04  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: We need to overwrite existing libraries if they
	already exist in the package directory on windows. Also made the
	code somewhat readable with 80 cols.
	
2004-05-03  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: potential fix for miguel.

2004-05-03  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: support /package in /u now as well.

2004-05-03  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: Add /package support. Seriously going to rewrite cmdline
	handling *asap* cause this is just wrong.

2004-05-01  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: copy the config file, not the assembly again.

2004-05-01  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: ack, miguel is right, cmdline handling needs some love.

2004-04-30  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: cleanup help.

2004-04-30  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: remove /prefix, now --root and /root

2004-04-30  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: Change the way of handling the /prefix stuff.
	Now all gacbased operations will work with /prefix or --root. This
	*MUST* be at the end of the commandline for it to work.
	Also note, that in a Makefile changing /i to /u will not work, as the
	gac uninstalls based on AssemblyName.Name, so forexample:

	gacutil /i some/path/blah/System.dll --root /usr/lib/somefakegac

	will install and

	gacutil /u System --root /usr/lib/somefakegac

	will uninstall.

2004-04-30  Miguel de Icaza  <miguel@ximian.com>

	* gacutil.cs: Rename /prefix with /libdir,  Append mono/gac to
	that. 

2004-04-30  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Install config files.
	
2004-04-30  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Use invariant culture for ToLower. Patch from Urs Muff.
	
2004-04-30  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: Add a missing .Trim ()

2004-04-29  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Allow a prefix to be specified. This is only for
	packaging if you install to some wack prefix it wont work.
	
2004-04-29  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* gacutil.cs: return non-zero when something fails.

2004-04-29  Todd Berman  <tberman@sevenl.net>

	* gacutil.cs: Add assembly name to installation message.

2004-04-27  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Temporarily disable strong name verification when
	installing.
	
2004-04-27  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Remove hack for removing strong name headers. The
	strong name type now handles these properly and this screwed up
	the ecma key.
	
2004-03-25  Jackson Harper  <jackson@ximian.com>

	* gacutil.cs: Add culture to assemblies version string.
	
2003-12-10  Todd Berman  <tberman@gentoo.org>

	* gacutil.cs: Properly detect and fail gracefully on ms.net runtime
	* README:
	* TODO: Updated

2003-12-10  Zoltan Varga  <vargaz@freemail.hu>

	* gacutil.cs: Fix binding flags.
	
	* gacutil.cs: Applied patch from Todd Berman (tbermann@gentoo.org).
	Use Environment.GacPath () instead of hardcoding the GAC path.

2003-11-16  Sebastien Pouliot  <spouliot@videotron.ca>

	* gacutil.cs: Added strongname validation
	* Makefile: Added a reference to Mono.Security assembly.

2003-11-16  Todd Berman  <tberman@gentoo.org>

	* gacutil.cs: /il functionality
	* gacutil.cs: /ul functionality
	* TODO: updated
	* gacutil.cs: help text added.

2003-11-15  Todd Berman  <tberman@gentoo.org>
	
	* gacutil.cs: Added reference counting for installation and deletion.
	An assembly will have a RefCount of 1 if --force is used.
	* gacutil.cs: Changed ... + Path.DirSepChar + ... to Path.Combine
	Thanks to Ben Maurer. Turns out code marked as potentially not
	needed was not needed, now refcounting with /u assemblyname works
	as well.
	* gacutil.cs: Incorporated uac (User Assembly Cache), needs some
	machine.config security checking as well.

2003-11-14  Todd Berman  <tberman@gentoo.org>

	* gacutil.cs: added proper removal of assemblies, now the version=
	syntax also works.
	* gacutil.exe: somehow got added, removing, duh.

2003-11-12  Todd Berman  <tberman@gentoo.org>

	* Makefile:
	* TODO:
	* README:
	* ChangeLog: 
	* gacutil.exe.sources:
	* gacutil.cs: Added
